Name:           trilead-ssh2
Version:        217
Release:        12
Summary:        SSH-2 protocol implementation in pure Java
License:        BSD and MIT
URL:            https://github.com/jenkinsci/trilead-ssh2
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-build%{version}-jenkins-8.tar.gz
BuildRequires:  maven-local mvn(commons-io:commons-io) mvn(junit:junit)
BuildArch:      noarch

%description
Trilead SSH-2 for Java is a library which implements the SSH-2 protocol in pure Java
(minimum required JRE: 1.4.2). It allows one to connect to SSH servers from within
Java programs. It supports SSH sessions (remote command execution and shell access),
local and remote port forwarding, local stream forwarding, X11 forwarding, SCP and SFTP.
There are no dependencies on any JCE provider, as all crypto functionality is included.

This distribution contains the source code, examples, javadoc and the FAQ.
It also includes a pre-compiled jar version of the library which is ready to use.

%package        help
Summary:        help documentation for trilead-ssh2
Provides:       trilead-ssh2-javadoc = %{version}-%{release}
Obsoletes:      trilead-ssh2-javadoc < %{version}-%{release}

%description    help
API documentation for trilead-ssh2.

%prep
%autosetup -n %{name}-%{name}-build%{version}-jenkins-8  -p1

%mvn_file  : %{name}/%{name} %{name}
%mvn_alias : "org.tmatesoft.svnkit:trilead-ssh2" "com.trilead:trilead-ssh2"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt HISTORY.txt README.txt

%files help -f .mfiles-javadoc


%changelog
* Sat Dec 14 2019 wanjiankang <wanjiankang@huawei.com> - 217-11.12
- Package Init.
